# class ArrayBufferView

#### package js.html

#### extended by DataView, Float32Array, Int32Array, Uint8Array, Uint8ClampedArray

Available on HTML5

`ArrayBufferView` is a helper type representing any of the following JavaScript `TypedArray` types:

Documentation ArrayBufferView by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/ArrayBufferView

### Variables

###

`read onlybuffer:ArrayBuffer`

###

`read onlybyteLength:Int`

###

`read onlybyteOffset:Int`